=== modified file 'bzrlib/selftest/test_weave.py'
--- bzrlib/selftest/test_weave.py	2005-09-29 12:48:09 +0000
+++ bzrlib/selftest/test_weave.py	2005-10-05 03:02:27 +0000
@@ -791,7 +791,19 @@
                      ['aaa', 'ddd', 'ccc'],
                      ['aaa', 'ccc'],
                      ['<<<<', 'aaa', '====', '>>>>', 'ccc'])
-    
+
+
+class JoinWeavesTests(TestBase):
+    def test_join_empty(self):
+        """Join two empty weaves."""
+        eq = self.assertEqual
+        w1 = Weave()
+        w2 = Weave()
+        w1.join(w2)
+        eq(w1.numversions(), 0)
+        
+
+
 
 
 if __name__ == '__main__':

=== modified file 'bzrlib/weave.py'
--- bzrlib/weave.py	2005-10-05 03:02:11 +0000
+++ bzrlib/weave.py	2005-10-05 03:02:27 +0000
@@ -739,6 +739,18 @@
                        state
 
                 
+    def join(self, other):
+        """Integrate versions from other into this weave.
+
+        The resulting weave contains all the history of both weaves; any version you 
+        could retrieve from either self or other can be retrieved from self after
+        this call.
+
+        It is illegal for the two weaves to contain different values for any version.
+        """
+        if other.numversions() == 0:
+            return          # nothing to update, easy
+        raise NotImplementedError()
 
 
 

